org.bouncycastle.crypto

## Class CryptoException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.bouncycastle.crypto.CryptoException

- All Implemented Interfaces:
    Serializable

      public class CryptoException
      extends Exception

  the foundation class for the hard exceptions thrown by the crypto packages.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CryptoException()` base constructor.
    `CryptoException(String message)` create a CryptoException with the given message.
    `CryptoException(String message, Throwable cause)` Create a CryptoException with the given message and underlying cause.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Throwable` | `getCause()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CryptoException

          public CryptoException()

      base constructor.

    - #### CryptoException

          public CryptoException(String message)

      create a CryptoException with the given message.
      Parameters:
        `message` - the message to be carried with the exception.

    - #### CryptoException

          public CryptoException(String message,
                                 Throwable cause)

      Create a CryptoException with the given message and underlying cause.
      Parameters:
        `message` - message describing exception.
        `cause` - the throwable that was the underlying cause.

  - ### Method Detail

    - #### getCause

          public Throwable getCause()

      Overrides:
        `getCause` in class `Throwable`